> For the complete documentation index, see [llms.txt](https://docs.sov.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sov.ai/api-reference/errors.md).

# Error Classes

**Module:** `sovai.errors.sovai_errors`

## Classes

### `InvalidCredentialsError`

```python
class InvalidCredentialsError(Exception)
```

Raise exception if credentional data invalid status code: 401

:param Exception: Base class exception

***

### `ServiceUnavailableError`

```python
class ServiceUnavailableError(Exception)
```

Raise exception if server unavailable status code: 503

:param Exception: Base class exception

***

### `InvalidInputData`

```python
class InvalidInputData(Exception)
```

Raise exception when you incorrent tap input data such email or password

:param Exception: Base class exception

***


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sov.ai/api-reference/errors.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
